{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/mass_operation/archive') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/mass_operation/archive') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set buildingUnitOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'buildingUnitOverview') %}
        {% if buildingUnitOverviewLastVisitedPage != null %}
            {% set buildingUnitOverviewPagePath = path(buildingUnitOverviewLastVisitedPage.getRouteName(), buildingUnitOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set buildingUnitOverviewPagePath = path('property_vacancy_management_building_unit_overview_map')  %}
        {% endif %}
        <a href="{{ buildingUnitOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekte archivieren <span class="text-secondary">({{ buildingUnits|length }})</span></span>
        {{ form_widget(buildingUnitMassOperationArchiveForm.archive, {'label': 'Archivieren', 'id': buildingUnitMassOperationArchiveForm.archive.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">Objekte in das Archiv verschieben</h1>
            <p>
                Um die Objekte in das Archiv zu verschieben, klicken Sie bitte auf den ARCHIVIEREN Button.
                Sie können die Objekte später jederzeit wieder aus dem Archiv herstellen.
            </p>
            {{ form_start(buildingUnitMassOperationArchiveForm, {'attr': {'id': buildingUnitMassOperationArchiveForm.vars.id ~ '_form'}}) }}
            {{ form_row(buildingUnitMassOperationArchiveForm.selectedRowIds) }}
            {{ form_row(buildingUnitMassOperationArchiveForm._token) }}
            {{ form_end(buildingUnitMassOperationArchiveForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'property_vacancy_management/component/building_unit/building_unit_list_component.html.twig' with {
                'idPrefix': 'building_unit_overview_',
                'listItems': buildingUnits,
                'massOperation': false,
                'showActionButton': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
